sip-wheel(1)

NAME
sip-wheel - build a wheel for the sip project

SYNOPSIS
sip-wheel [options]

DESCRIPTION
sip-wheel creates a wheel (a binary distribution) than be uploaded to PyPI.

OPTIONS

-h, --help
    Display a help message.

-V, --version
    Display the SIP version number.

--quiet
    All progress messages are disabled.

--verbose
    Verbose progress messages are enabled.

--api-dir DIR
    A QScintilla .api file is created in DIR. This must be a name relative to the directory where the wheel will be installed.

--build-dir DIR
    DIR is created as a build directory in which all generated files will be created. This build directory is not removed after the build has been completed. By default a temporary build directory is created which is removed after the build has been completed.

--build-tag TAG
    TAG is the build tag to be used in the name of the wheel. By default the name of the wheel does not include a build tag.

--concatenate N
    The generated code is split into N files. By default one file is generated for each C structure or C++ class. Specifying a low value of N can significantly speed up the build of large projects.

--disable NAME
    The NAME bindings are disabled and will not be built. This option may be specified multiple times. It is only available if the project contains multiple sets of bindings.

--disabled-feature TAG
    The TAG feature tag is disabled. This option may be specified multiple times.

--enable NAME
    The NAME bindings are enabled and will be built. Any associated configuration tests that would normally be run to determine if the bindings should be built are suppressed. This option may be specified multiple times. It is only available if the project contains multiple sets of bindings.

--no-manylinux
    Support for manylinux in the platform tag of a name of a wheel is disabled. It should only be used if support for older versions of pip is required.

--minimum-glibc-version M.N
    M.N is the minimum GLIBC version required by the project specified as the major and minor version numbers. This is used to determine the correct platform tag to use for Linux wheels. The default version of GLIBC is v2.5 which corresponds to manylinux1. It is ignored if the --no-manylinux option is specified.

--name NAME
    NAME is used instead of the PyPI project name in the pyproject.toml file in the name of the wheel file.

--debug
    A build with debugging symbols is performed.

--no-docstrings
    The generation of docstrings that describe the signature of all functions, methods and constructors is disabled.

--pep484-pyi
    The generation of Python type hints stub files is enabled. These files contain a description of a module's API that is compliant with PEP 484.

--protected-is-public
    SIP can generate code to provide access to protected C++ functions from Python. On non-Windows platforms this code can be avoided if the protected keyword is redefined as public during compilation. This can result in a significant reduction in the size of a generated Python module. This option enables the redefinition of protected and is the default on all platforms except Windows.

--no-protected-is-public
    This option disables the redefinition of protected to access protected C++ functions from Python and is the default on Windows.

--tracing
    Debugging statements that trace the execution of the bindings are automatically generated. By default the statements are not generated.